> For the complete documentation index, see [llms.txt](https://docs.toomuchmedia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toomuchmedia.com/nats-admin/skins-and-templates/further-reading/template-functions/nats_display_signup_advanced.md).

# nats\_display\_signup\_advanced

*Article Topics:* [*Customization*](/getting-started/common-topics/customization.md)*,* [*Templates*](/getting-started/common-topics/templates.md)

Alias: display\_signup\_advanced

## Parameters

(*Required parameters in bold)*

| Parameter                                                                                                       | Description                                                                       | Possible Values                | Default Value                           | Example                |
| --------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------- | ------------------------------ | --------------------------------------- | ---------------------- |
| tpl                                                                                                             | [Template](/additional-resources/common-terms.md#template) used to display output | Any valid template             | The template, *function\_signup\_basic* | tpl="mytemplate"       |
| [assign\_prefix](/nats-admin/skins-and-templates/further-reading/template-function-parameters/assign_prefix.md) | Prefix output variables with this word. (Click link for details)                  | Any valid Smarty variable name | *None.* (No prefix is used)             | assign\_prefix="myvar" |
| [data\_only](/nats-admin/skins-and-templates/further-reading/template-function-parameters/data_only.md)         | Set variables but don't display the template                                      | 1                              | *None.* The template is displayed.      | data\_only=1           |

## Output

An affiliate sign-up form with a payment type selection field.

## See Also

* [nats\_display\_signup\_payvia](/nats-admin/skins-and-templates/further-reading/template-functions/nats_display_signup_payvia.md) -- second part of the advanced sign-up form where affiliates enter their payment type.
* [nats\_display\_signup\_basic](/nats-admin/skins-and-templates/further-reading/template-functions/nats_display_signup_basic.md) -- gets sign-up information but doesn't let the affiliate select a payment type.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.toomuchmedia.com/nats-admin/skins-and-templates/further-reading/template-functions/nats_display_signup_advanced.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
